diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategy.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategy.java
new file mode 100644
index 0000000000..0de1c4ffae
--- /dev/null
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategy.java
@@ -0,0 +1,269 @@
+// $Id$
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.api.facade;
+
+import java.util.UUID;
+
+import org.apache.commons.lang.StringUtils;
+import org.apache.log4j.Logger;
+
+import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.model.agent.AgentBase;
+import eu.etaxonomy.cdm.model.agent.Institution;
+import eu.etaxonomy.cdm.model.agent.Person;
+import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.Representation;
+import eu.etaxonomy.cdm.model.common.TimePeriod;
+import eu.etaxonomy.cdm.model.location.NamedArea;
+import eu.etaxonomy.cdm.model.occurrence.Collection;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
+import eu.etaxonomy.cdm.strategy.StrategyBase;
+import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
+
+/**
+ * @author a.mueller
+ * @date 03.06.2010
+ *
+ */
+public class DerivedUnitFacadeFieldUnitCacheStrategy extends StrategyBase implements IIdentifiableEntityCacheStrategy<FieldUnit> {
+	private static final long serialVersionUID = 1578628591216605619L;
+	private static final Logger logger = Logger.getLogger(DerivedUnitFacadeFieldUnitCacheStrategy.class);
+
+	private static final UUID uuid = UUID.fromString("df4672c1-ce5c-4724-af6d-91e2b326d4a4");
+	
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.strategy.StrategyBase#getUuid()
+	 */
+	@Override
+	protected UUID getUuid() {
+		return uuid;
+	}
+
+	private boolean includeEmptySeconds = false;
+	private boolean includeReferenceSystem = true;
+	
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy#getTitleCache(eu.etaxonomy.cdm.model.common.IdentifiableEntity)
+	 */
+	@Override
+	public String getTitleCache(FieldUnit fieldUnit) {
+		DerivedUnitFacade facade;
+		String result = "";
+		DerivedUnitFacadeConfigurator config = DerivedUnitFacadeConfigurator.NewInstance();
+		config.setFirePropertyChangeEvents(false);
+		facade = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.FieldUnit, fieldUnit, config);
+		result = getFieldData(facade);	
+		result = addPlantDescription(result, facade);
+		facade.close();
+		return result;
+	}
+	
+
+	protected String getFieldData(DerivedUnitFacade facade) {
+		String ALTITUDE_PREFIX = "alt. ";
+		String ALTITUDE_POSTFIX = " m";
+		
+		String result = "";
+		
+			
+		//country
+		String strCountry = null;
+		NamedArea country = facade.getCountry();
+		Representation repCountry = country == null ? null : country.getRepresentation(Language.DEFAULT());
+		//TODO currently the label is the 3 digit representation of the country and text is the full text.
+		//this is against the common way of handling text, label and labelabbrev in defined terms
+		strCountry = repCountry == null ? null: repCountry.getText();
+		result = CdmUtils.concat(", ", result, strCountry);
+		
+		//locality
+		result = CdmUtils.concat(", ", result, facade.getLocalityText());
+		
+		//elevation
+		if (StringUtils.isNotBlank(facade.absoluteElevationToString())){
+			result = CdmUtils.concat(", " , result, ALTITUDE_PREFIX);
+			result += facade.absoluteElevationToString() + ALTITUDE_POSTFIX;
+		}
+		
+		//exact locality
+		if (facade.getExactLocation() != null){
+			String exactLocation = facade.getExactLocation().toSexagesimalString(this.includeEmptySeconds, this.includeReferenceSystem);
+			result = CdmUtils.concat(", ", result, exactLocation);
+		}
+		
+		//ecology
+		result = CdmUtils.concat(", ", result, facade.getEcology());
+		
+		//gathering period
+		//TODO period.toString ??
+		TimePeriod gatheringPeriod = facade.getGatheringPeriod();
+		result = CdmUtils.concat(", ", result, (gatheringPeriod == null? null : gatheringPeriod.toString()));
+		
+		//collector (team) and field number
+		String collectorAndFieldNumber = getCollectorAndFieldNumber(facade);
+		result = CdmUtils.concat(", ", result, collectorAndFieldNumber);
+
+		
+		return result;
+	}
+	
+
+	protected String addPlantDescription(String result, DerivedUnitFacade facade) {
+		
+		//plant description
+		result = CdmUtils.concat("; ", result, facade.getPlantDescription());
+		if (CdmUtils.isNotEmpty(result)){
+			result += ".";
+		}
+		
+		return result;
+	}
+
+
+
+	private String getCollectorAndFieldNumber(DerivedUnitFacade facade) {
+		String result = "";
+		AgentBase<?> collector = facade.getCollector();
+		String fieldNumber = facade.getFieldNumber();
+		Person primaryCollector = facade.getPrimaryCollector();
+		
+		if (collector == null){
+			return fieldNumber;
+		}else if(collector.isProtectedTitleCache()){
+			return  CdmUtils.concat(" ", collector.getTitleCache(), fieldNumber);
+		}else{
+			result = "";
+			Team collectorTeam;
+			if (collector.isInstanceOf(Person.class)){
+				collectorTeam = Team.NewInstance();
+				if (primaryCollector == null){
+					primaryCollector = CdmBase.deproxy(collector, Person.class);
+				}
+				collectorTeam.addTeamMember(primaryCollector);
+			} else if (collector.isInstanceOf(Team.class) && ! collector.isProtectedTitleCache() ){
+				collectorTeam = CdmBase.deproxy(collector, Team.class);
+			}else{
+				return  CdmUtils.concat(" ", collector.getTitleCache(), fieldNumber);
+			}
+			
+			int counter = 0;
+			int teamSize = collectorTeam.getTeamMembers().size();
+			boolean fieldNumberAdded = false;
+			for (Person member : collectorTeam.getTeamMembers()){
+				counter++;
+				String concatString = (counter >= teamSize)? " & " : ", "; 
+				result = CdmUtils.concat(concatString, result, getMemberString(member) );
+				if (member.equals(primaryCollector)){
+					result = addFieldNumber(result, fieldNumber);
+					fieldNumberAdded = true;
+				}
+			}
+			if (! fieldNumberAdded){
+				result = addFieldNumber(result, fieldNumber);
+			}
+			return result;
+		}
+		
+	}
+
+
+
+	private String addFieldNumber(String result, String fieldNumber) {
+		result = CdmUtils.concat(" ", result, fieldNumber);
+		return result;
+	}
+
+
+
+	/**
+	 * Strategy to format a collector team member name
+	 * @param member
+	 * @return
+	 */
+	private String getMemberString(Person member) {
+		if (StringUtils.isNotBlank(member.getLastname()) && ! member.isProtectedTitleCache() ){
+			String result = member.getLastname();
+			if  (StringUtils.isNotBlank(member.getFirstname())){
+				result = member.getFirstname().substring(0,1) + ". " + result;
+			}
+			return result;
+		}else{
+			return member.getTitleCache();
+		}
+	}
+
+
+
+	private boolean testPrimaryCollectorInCollectorTeam(AgentBase collector, Person primaryCollector) {
+		if (collector.isInstanceOf(Person.class)){
+			return collector.equals(primaryCollector);
+		}else if (collector.isInstanceOf(Team.class)){
+			Team collectorTeam = CdmBase.deproxy(collector, Team.class);
+			return collectorTeam.getTeamMembers().contains(primaryCollector);
+		}else{
+			logger.warn("Collector is not of type person or team");
+			return false;
+		}
+	}
+
+
+
+	/**
+	 * @param facade
+	 */
+	private String getCode(DerivedUnitFacade facade) {
+		String code = "";
+		if(facade.getCollection() != null){			
+			code = facade.getCollection().getCode();
+			if (CdmUtils.isEmpty(code)){
+				Institution institution = facade.getCollection().getInstitute();
+				if (institution != null){
+					code = institution.getCode();
+				}
+				if (CdmUtils.isEmpty(code)){
+					Collection superCollection = facade.getCollection().getSuperCollection();
+					if (superCollection != null){
+						code = superCollection.getCode();
+					}
+				}
+			}
+		} 
+		return code;
+	}
+	
+// ************************** GETTER / SETTER ******************************************************
+	
+	public boolean isIncludeSeconds() {
+		return includeEmptySeconds;
+	}
+
+
+
+	public void setIncludeSeconds(boolean includeSeconds) {
+		this.includeEmptySeconds = includeSeconds;
+	}
+
+
+
+	public void setIncludeReferenceSystem(boolean includeReferenceSystem) {
+		this.includeReferenceSystem = includeReferenceSystem;
+	}
+
+
+
+	public boolean isIncludeReferenceSystem() {
+		return includeReferenceSystem;
+	}
+
+	
+}
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/AbstractCategoricalDescriptionBuilder.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/AbstractCategoricalDescriptionBuilder.java
index f7fb7e2a37..1a3f376468 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/AbstractCategoricalDescriptionBuilder.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/AbstractCategoricalDescriptionBuilder.java
@@ -10,7 +10,7 @@ import eu.etaxonomy.cdm.model.description.TextData;
 public abstract class AbstractCategoricalDescriptionBuilder extends DescriptionBuilder<CategoricalData>{
 	
 	public TextData build(CategoricalData data, List<Language> languages) {
-		   return doBuild(data.getStates(), languages);
+		   return doBuild(data.getStateData(), languages);
 		 }
 
 	protected abstract TextData doBuild(List<StateData> stateDatas, List<Language> languages);
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java
index 74d545c46a..6eb57d4861 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java
@@ -37,7 +37,7 @@ import eu.etaxonomy.cdm.model.media.MediaUtils;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.ITaxonNodeComparator;
-import eu.etaxonomy.cdm.model.taxon.ITreeNode;
+import eu.etaxonomy.cdm.model.taxon.ITaxonTreeNode;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.cdm.persistence.dao.IBeanInitializer;
@@ -247,8 +247,8 @@ public class ClassificationServiceImpl extends IdentifiableServiceBase<Classific
      * @see eu.etaxonomy.cdm.api.service.IClassificationService#getTreeNodeByUuid(java.util.UUID)
      */
     @Override
-    public ITreeNode getTreeNodeByUuid(UUID uuid){
-        ITreeNode treeNode = taxonNodeDao.findByUuid(uuid);
+    public ITaxonTreeNode getTreeNodeByUuid(UUID uuid){
+        ITaxonTreeNode treeNode = taxonNodeDao.findByUuid(uuid);
         if(treeNode == null){
             treeNode = dao.findByUuid(uuid);
         }
@@ -275,7 +275,7 @@ public class ClassificationServiceImpl extends IdentifiableServiceBase<Classific
      * @see eu.etaxonomy.cdm.api.service.IClassificationService#removeTreeNode(eu.etaxonomy.cdm.model.taxon.ITreeNode)
      */
     @Override
-    public UUID removeTreeNode(ITreeNode treeNode) {
+    public UUID removeTreeNode(ITaxonTreeNode treeNode) {
         if(treeNode instanceof Classification){
             return dao.delete((Classification) treeNode);
         }else if(treeNode instanceof TaxonNode){
@@ -305,7 +305,7 @@ public class ClassificationServiceImpl extends IdentifiableServiceBase<Classific
      * @see eu.etaxonomy.cdm.api.service.IClassificationService#saveTreeNode(eu.etaxonomy.cdm.model.taxon.ITreeNode)
      */
     @Override
-    public UUID saveTreeNode(ITreeNode treeNode) {
+    public UUID saveTreeNode(ITaxonTreeNode treeNode) {
         if(treeNode instanceof Classification){
             return dao.save((Classification) treeNode);
         }else if(treeNode instanceof TaxonNode){
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CommonServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CommonServiceImpl.java
index 9b6ff3dffb..52e8fcde3f 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CommonServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CommonServiceImpl.java
@@ -24,11 +24,11 @@ import org.springframework.transaction.annotation.Propagation;
 import org.springframework.transaction.annotation.Transactional;
 
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.CdmMetaData;
-import eu.etaxonomy.cdm.model.common.CdmMetaData.MetaDataPropertyName;
 import eu.etaxonomy.cdm.model.common.ISourceable;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.OriginalSourceBase;
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData;
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData.MetaDataPropertyName;
 import eu.etaxonomy.cdm.persistence.dao.common.ICdmGenericDao;
 import eu.etaxonomy.cdm.persistence.dao.common.IOriginalSourceDao;
 import eu.etaxonomy.cdm.strategy.match.DefaultMatchStrategy;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DefaultCategoricalDescriptionBuilder.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DefaultCategoricalDescriptionBuilder.java
index b4d8af15e7..fa177827de 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DefaultCategoricalDescriptionBuilder.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DefaultCategoricalDescriptionBuilder.java
@@ -4,8 +4,8 @@ import java.util.Iterator;
 import java.util.List;
 import java.util.Set;
 
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Language;
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StateData;
 import eu.etaxonomy.cdm.model.description.TextData;
@@ -19,9 +19,9 @@ public class DefaultCategoricalDescriptionBuilder extends AbstractCategoricalDes
 		for (Iterator<StateData> sd = states.iterator() ; sd.hasNext() ;){
 			StateData stateData = sd.next();
 			State s = stateData.getState();
-			Set<Modifier> modifiers = stateData.getModifiers(); // the states and their according modifiers are simply concatenated one after the other
-			for (Iterator<Modifier> mod = modifiers.iterator() ; mod.hasNext() ;){
-				Modifier modifier = mod.next();
+			Set<DefinedTerm> modifiers = stateData.getModifiers(); // the states and their according modifiers are simply concatenated one after the other
+			for (Iterator<DefinedTerm> mod = modifiers.iterator() ; mod.hasNext() ;){
+				DefinedTerm modifier = mod.next();
 				CategoricalDescription.append(" " + getRightText(modifier.getPreferredRepresentation(languages)));
 			}
 			if(s != null) {
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptionServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptionServiceImpl.java
index d68f3b32bb..f17008f6bd 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptionServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptionServiceImpl.java
@@ -24,10 +24,12 @@ import org.springframework.stereotype.Service;
 import org.springframework.transaction.annotation.Transactional;
 
 import eu.etaxonomy.cdm.api.service.pager.Pager;
+import eu.etaxonomy.cdm.api.service.pager.impl.AbstractPagerImpl;
 import eu.etaxonomy.cdm.api.service.pager.impl.DefaultPagerImpl;
 import eu.etaxonomy.cdm.api.utility.DescriptionUtility;
 import eu.etaxonomy.cdm.common.monitor.IProgressMonitor;
 import eu.etaxonomy.cdm.model.common.Annotation;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.Marker;
 import eu.etaxonomy.cdm.model.common.MarkerType;
@@ -38,7 +40,6 @@ import eu.etaxonomy.cdm.model.description.Distribution;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.FeatureTree;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.cdm.model.description.Scope;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TaxonNameDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
@@ -228,13 +229,13 @@ public class DescriptionServiceImpl extends IdentifiableServiceBase<DescriptionB
     }
 
     @Override
-    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
+    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
         Set<MarkerType> markerTypes = null;
         return pageTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
     }
 
     @Override
-    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
+    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
         Set<MarkerType> markerTypes = null;
         return listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
     }
@@ -244,7 +245,7 @@ public class DescriptionServiceImpl extends IdentifiableServiceBase<DescriptionB
      * @see eu.etaxonomy.cdm.api.service.IDescriptionService#pageMarkedTaxonDescriptions(eu.etaxonomy.cdm.model.taxon.Taxon, java.util.Set, java.util.Set, java.util.Set, java.lang.Integer, java.lang.Integer, java.util.List)
      */
     @Override
-    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
+    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
         Integer numberOfResults = dao.countTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes);
 
         List<TaxonDescription> results = new ArrayList<TaxonDescription>();
@@ -256,7 +257,7 @@ public class DescriptionServiceImpl extends IdentifiableServiceBase<DescriptionB
     }
 
     @Override
-    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
+    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths) {
         List<TaxonDescription> results = dao.listTaxonDescriptions(taxon, scopes, geographicalScope, markerTypes, pageSize, pageNumber, propertyPaths);
         return results;
     }
@@ -447,7 +448,7 @@ public class DescriptionServiceImpl extends IdentifiableServiceBase<DescriptionB
             Integer pageNumber, List<String> propertyPaths) {
         Long count = dao.countDescriptionElementForTaxon(taxon, features, type);
         List<T> descriptionElements;
-        if(count > (pageSize * pageNumber + 1)){ // no point checking again
+        if(AbstractPagerImpl.hasResultsInRange(count, pageNumber, pageSize)){ // no point checking again
             descriptionElements = listDescriptionElementsForTaxon(taxon, features, type, pageSize, pageNumber, propertyPaths);
         } else {
             descriptionElements = new ArrayList<T>(0);
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DistributionTree.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DistributionTree.java
index f236e95e27..70174293eb 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DistributionTree.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DistributionTree.java
@@ -34,7 +34,7 @@ public class DistributionTree extends Tree<Distribution>{
     public static final Logger logger = Logger.getLogger(DistributionTree.class);
 
     public DistributionTree(){
-        NamedArea area = new NamedArea();
+        NamedArea area = NamedArea.NewInstance();
         Distribution data = Distribution.NewInstance();
         data.setArea(area);
         data.putModifyingText(Language.ENGLISH(), "test");
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java
index 24ea889f67..f0cca2fb69 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java
@@ -20,7 +20,7 @@ import eu.etaxonomy.cdm.model.common.UuidAndTitleCache;
 import eu.etaxonomy.cdm.model.media.MediaRepresentation;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.taxon.Classification;
-import eu.etaxonomy.cdm.model.taxon.ITreeNode;
+import eu.etaxonomy.cdm.model.taxon.ITaxonTreeNode;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.cdm.persistence.query.OrderHint;
@@ -29,7 +29,6 @@ import eu.etaxonomy.cdm.persistence.query.OrderHint;
 /**
  * @author n.hoffmann
  * @created Sep 21, 2009
- * @version 1.0
  */
 public interface IClassificationService extends IIdentifiableEntityService<Classification> {
 
@@ -45,7 +44,7 @@ public interface IClassificationService extends IIdentifiableEntityService<Class
      * @param uuid
      * @return
      */
-    public ITreeNode getTreeNodeByUuid(UUID uuid);
+    public ITaxonTreeNode getTreeNodeByUuid(UUID uuid);
 
     /**
      *
@@ -262,14 +261,14 @@ public interface IClassificationService extends IIdentifiableEntityService<Class
      * @param treeNode
      * @return
      */
-    public UUID removeTreeNode(ITreeNode treeNode);
+    public UUID removeTreeNode(ITaxonTreeNode treeNode);
 
     /**
      *
      * @param treeNode
      * @return
      */
-    public UUID saveTreeNode(ITreeNode treeNode);
+    public UUID saveTreeNode(ITaxonTreeNode treeNode);
 
 
     public List<TaxonNode> getAllNodes();
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICommonService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICommonService.java
index 4cd11212b3..22bab9aa2e 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICommonService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICommonService.java
@@ -17,10 +17,10 @@ import java.util.Set;
 
 import eu.etaxonomy.cdm.database.DatabaseSchemaMismatchException;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.CdmMetaData;
 import eu.etaxonomy.cdm.model.common.ISourceable;
 import eu.etaxonomy.cdm.model.common.OriginalSourceBase;
-import eu.etaxonomy.cdm.model.common.CdmMetaData.MetaDataPropertyName;
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData;
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData.MetaDataPropertyName;
 import eu.etaxonomy.cdm.strategy.match.IMatchStrategy;
 import eu.etaxonomy.cdm.strategy.match.IMatchable;
 import eu.etaxonomy.cdm.strategy.match.MatchException;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IDescriptionService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IDescriptionService.java
index 941a32242e..6b9c38c027 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IDescriptionService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IDescriptionService.java
@@ -18,6 +18,7 @@ import java.util.UUID;
 
 import eu.etaxonomy.cdm.api.service.pager.Pager;
 import eu.etaxonomy.cdm.model.common.Annotation;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.MarkerType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
@@ -26,7 +27,6 @@ import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.FeatureTree;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.cdm.model.description.Scope;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TaxonNameDescription;
 import eu.etaxonomy.cdm.model.location.NamedArea;
@@ -267,7 +267,7 @@ public interface IDescriptionService extends IIdentifiableEntityService<Descript
      *
      * @see #pageMarkedTaxonDescriptions(Taxon, Set, Set, Set, Integer, Integer, List)
      */
-    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
+    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
 
     /**
      * Returns a List of TaxonDescription instances, optionally filtered by parameters passed to this method
@@ -281,7 +281,7 @@ public interface IDescriptionService extends IIdentifiableEntityService<Descript
      * @param propertyPaths Properties to initialize in the returned entities, following the syntax described in {@link IBeanInitializer#initialize(Object, List)}
      * @return a Pager containing TaxonDescription instances
      */
-    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
+    public Pager<TaxonDescription> pageTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
 
     /**
      * @see {@link #pageTaxonDescriptions(Taxon, Set, Set, Integer, Integer, List)}
@@ -294,7 +294,7 @@ public interface IDescriptionService extends IIdentifiableEntityService<Descript
      * @param propertyPaths
      * @return
      */
-    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
+    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
 
 
 
@@ -309,7 +309,7 @@ public interface IDescriptionService extends IIdentifiableEntityService<Descript
      * @param propertyPaths
      * @return
      */
-    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<Scope> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
+    public List<TaxonDescription> listTaxonDescriptions(Taxon taxon, Set<DefinedTerm> scopes, Set<NamedArea> geographicalScope, Set<MarkerType> markerTypes, Integer pageSize, Integer pageNumber, List<String> propertyPaths);
 
     /**
      * Returns all {@link Media} attached to a taxon via TaxonDescription.elements.media.
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ILocationService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ILocationService.java
index 70ad2f96f1..7f2bf14c5e 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ILocationService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ILocationService.java
@@ -30,7 +30,7 @@ public interface ILocationService extends IService<DefinedTermBase> {
 
 	
 	public static enum NamedAreaVocabularyType{
-		TDWG_AREA, WATERBODY_OR_COUNTRY, CONTINENT
+		TDWG_AREA, COUNTRY, WATERBODY, CONTINENT
 	}
 	
     /**
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/INameService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/INameService.java
index 84145150be..02e618c4a8 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/INameService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/INameService.java
@@ -205,6 +205,27 @@ public interface INameService extends IIdentifiableEntityService<TaxonNameBase>
             boolean highlightFragments, 
             int maxNoOfResults) throws CorruptIndexException, IOException, ParseException;
     
+	/**
+	 * Fuzzy matching against the name cache using only the lucene index. 
+	 * 
+	 *  
+	 * @param name taxon name to fuzzy match
+	 * @param accuracy value > 0.0 and < 1.0 which determines the accuracy of the result.
+	 * @param languages list of languages to consider when matching (currently not used)
+	 * @param highlightFragments
+	 * @param maxNoOfResults 
+	 * @return
+	 * @throws CorruptIndexException
+	 * @throws IOException
+	 * @throws ParseException
+	 */
+    public List<DocumentSearchResult> findByFuzzyNameCacheSearch(
+            String name,
+            float accuracy,
+            List<Language> languages,
+            boolean highlightFragments, 
+            int maxNoOfResults) throws CorruptIndexException, IOException, ParseException;
+    
 	/**
 	 * Exact matching for the taxon name elements using only the lucene index.
 	 * 
